Description: Avoid git in gemspec
Author: Jonas Smedegaard <dr@jones.dk>
Last-Update: 2014-07-07

--- a/core/compass-core.gemspec
+++ b/core/compass-core.gemspec
@@ -13,11 +13,16 @@
   spec.homepage      = "http://compass-style.org/reference/compass/"
   spec.license       = "MIT"
 
-  spec.files         = `git ls-files`.split($/).select {|f| File.exist?(f) && f =~ %r{^(data|lib|stylesheets|templates)/} }
-  spec.files         += %w(
+  spec.files         = %w(
     VERSION
     LICENSE.txt
   )
+  spec.files += Dir.glob("data/**/*")
+  spec.files += Dir.glob("lib/**/*")
+  spec.files += Dir.glob("stylesheets/**/*")
+  spec.files += Dir.glob("templates/**/*")
+  spec.files += Dir.glob("test/**/*_test.rb")
+  spec.test_files = Dir.glob("test/**/*_test.rb")
   spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
   spec.require_paths = ["lib"]
 
--- a/import-once/compass-import-once.gemspec
+++ b/import-once/compass-import-once.gemspec
@@ -13,7 +13,9 @@
   spec.homepage      = "https://github.com/chriseppstein/compass/tree/master/import-once"
   spec.license       = "MIT"
 
-  spec.files         = `git ls-files #{File.dirname(__FILE__)}`.split($/)
+  spec.files         = %w(README.md LICENSE.txt VERSION Rakefile)
+  spec.files         += Dir.glob("lib/**/*")
+  spec.files         += Dir.glob("test/**/*.*")
   spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
   spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
   spec.require_paths = ["lib"]
